Name:           signon-plugin-oauth2
Version:        0.25
Release:        %mkrel 6
Summary:        OAuth2 plugin for the Accounts framework
Group:          Development/KDE and Qt
License:        LGPLv2+
URL:            https://gitlab.com/accounts-sso/signon-plugin-oauth2
Source0:        https://gitlab.com/accounts-sso/%{name}/-/archive/VERSION_%{version}/%{name}-VERSION_%{version}.tar.gz
Patch0:         signon-plugin-oauth2-0.25-dont-install-tests.patch
Patch1:         0001-Do-not-use-deprecated-QUrl-methods-to-inspect-the-query.patch
Patch2:         0002-OAuth1_replace-deprecated-toAscii-with-toLatin1.patch
Patch3:         0003-Replace-depreacated-toTime_t-with-toSecsSinceEpoch.patch
Patch4:         0004-build_disable-deprecation-warnings.patch
Patch5:         0005-README_specify-the-minimum-version-of-Qt.patch
Patch6:         0006-build_stop-using-Werror.patch
Patch7:         0007-build_enable-again-Qt-deprecation-warnings.patch
# https://gitlab.com/accounts-sso/signon-plugin-oauth2/-/merge_requests/28
Patch8:         0008-Add-Qt6-support.patch

# Qt6 BuildRequires
BuildRequires:  cmake(Qt6Core)
BuildRequires:  cmake(Qt6Gui)
BuildRequires:  cmake(Qt6Network)
BuildRequires:  cmake(Qt6Test)
BuildRequires:  cmake(Qt6Xml)

BuildRequires:  doxygen
BuildRequires:  graphviz
BuildRequires:  pkgconfig(libproxy-1.0)
BuildRequires:  pkgconfig(signon-plugins)
BuildRequires:  pkgconfig(libsignon-qt6)

Requires:       signon
%ifarch aarch64 x86_64
Requires:       signon-ui
%endif

%description
OAuth2 plugin for the Accounts framework.

%files
%{_libdir}/signon/liboauth2plugin.so

#----------------------------------------------------

%package        devel
Summary:        Development files for %{name}
Group:          Development/KDE and Qt
Requires:       %{name} = %{version}-%{release}

%description    devel
This package contains development files for %{name}.

%files devel
%{_includedir}/signon-plugins/
%{_libdir}/pkgconfig/signon-oauth2plugin.pc

#----------------------------------------------------

%prep
%setup -qn %{name}-VERSION_%{version}
%autopatch -p1

sed -i 's|/lib|/%{_lib}|' src/signon-oauth2plugin.pc

%build
%qmake_qt6 LIBDIR=%{_libdir}

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.25-6.mga10
+ Revision: 2221270
- Mageia 10 Mass Rebuild

* Sun Feb 04 2024 daviddavid <daviddavid> 0.25-5.mga10
+ Revision: 2037091
- signon-ui is only available on 64bits

* Fri Nov 17 2023 daviddavid <daviddavid> 0.25-4.mga10
+ Revision: 2007254
- port to Qt6

* Tue Apr 05 2022 umeabot <umeabot> 0.25-3.mga9
+ Revision: 1844348
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 0.25-2.mga8
+ Revision: 1659849
- Rebuild for new Qt5

* Mon Nov 16 2020 daviddavid <daviddavid> 0.25-1.mga8
+ Revision: 1646523
- new version: 0.25

* Sat Feb 15 2020 umeabot <umeabot> 0.24-5.mga8
+ Revision: 1525036
- Mageia 8 Mass Rebuild

* Tue Apr 02 2019 umeabot <umeabot> 0.24-4.mga7
+ Revision: 1384802
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.24-3.mga7
+ Revision: 1301029
- Mageia 7 Mass Rebuild

* Fri Jun 29 2018 pterjan <pterjan> 0.24-2.mga7
+ Revision: 1240811
- Force LIBDIR, it gets it wrong on aarch64

* Sun Jan 01 2017 daviddavid <daviddavid> 0.24-1.mga6
+ Revision: 1079338
- new version: 0.24

* Fri Jul 15 2016 daviddavid <daviddavid> 0.22-1.mga6
+ Revision: 1042210
- imported package signon-plugin-oauth2

